Auth
Generate api key
π Requires the create:organization_api_key permission
Name of the api key. e.g. default
Generated api key
Generated api key
Generated api key
test<random_secret>Failed to generate api key
Failed to authenticate user
Missing required scopes. π Requires the create:organization_api_key permission
Key already exists in organization
Too many requests
POST /api/v1/auth/key HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"api_key": "test<random_secret>"
}Get list api key details
π Requires the read:organization_api_key permission
Results offset to allow pagination e.g. 10
0Example: 10Results limit to allow pagination, e.g. 50
20Example: 10Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC
Specifies the attribute by which the returned list should be sorted. Can include the sort direction as βascβ or βdescβ. e.g. sort=name&order=asc
created_atPossible values: Enables searching within the list for api keys names that match a particular query. coming soon
List of api keys details
List of api keys details
Failed to get api key details
Failed to authenticate user
Missing required scopes. π Requires the read:organization_api_key permission
Key not found in organization
Too many requests
GET /api/v1/auth/keys HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"total": 1,
"list": [
{
"id": "25cd0bd6-d09b-4924-abfb-41768d111fe7",
"name": "default",
"created_at": "2026-01-01T00:00:00.000Z",
"expiration_time": null,
"updated_at": null,
"created_by": {
"id": "prov0|1234567890",
"name": "John Doe",
"nickname": "JD",
"picture": "https://example.com/profile.jpg"
},
"is_disabled": false
}
]
}Activate api key
π Requires the update:organization_api_key permission
Name of the api key. e.g. default
Activated api key
Activated api key
Name of the key
defaultIs key active
trueFailed to activate api key
Failed to authenticate user
Missing required scopes. π Requires the update:organization_api_key permission
Key not found in organization
Too many requests
POST /api/v1/auth/key/activate HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"name": "default",
"is_active": true
}Deactivate api key
π Requires the update:organization_api_key permission
Name of the api key. e.g. default
Deactivated api key
Deactivated api key
Name of the key
defaultIs key active
trueFailed to deactivate api key
Failed to authenticate user
Missing required scopes. π Requires the update:organization_api_key permission
Key not found in organization
Too many requests
POST /api/v1/auth/key/deactivate HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"name": "default",
"is_active": true
}Last updated

